Skip to content
Guides
CatalogProduct Reviews
catalog:read

Get product review

GET/v1/catalog/product-reviews/{reviewId}

Get product review. A successful request returns HTTP 200 with the documented response body.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

reviewId*string

Identifier of the review.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/catalog/product-reviews/7204558912004325301" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "id": "7204558912004325301",  "productId": "7204558912004325301",  "productName": "Example resource",  "customerId": "7204558912004325301",  "orderId": "7204558912004325301",  "isVerifiedPurchase": false,  "rating": 1,  "title": "Example title",  "content": "example",  "reviewerName": "Example resource",  "reviewerEmail": "andrea@example.com",  "status": "pending",  "approvedAt": "2026-08-01T15:30:00Z",  "approvedBy": "2f40d7e4-3d9c-4ab2-b04e-7a6a132db821",  "createdOn": "2026-08-01T15:30:00Z",  "updatedOn": "2026-08-01T15:30:00Z"}